#!/usr/bin/perl

#
# Layout of events: N x y spec reac time
#

$line="";

#
# The species we with to remove from the Event log.
#
$spec=0;

while (<>)
{
    ($a,$b,$c,$d,$e,$f) = split(' ', $_);

    if ($e == -1)
    {
        if ($f == 0)
        {
            #
            # The beginning of a new Event trajectory.
            #
            $line = $_;
        }
        else
        {
            $line .= $_;

            if ($d != $spec)
            {
                print $line;
            }
        }
    }
    else
    {
        $line .= $_;
    }

    if (eof)
    {
        printf STDERR "Finished processing $ARGV ...\n"
    }
}
